package formview

import (
	"go_dreamfactory/cmd/v2/model"
	"go_dreamfactory/cmd/v2/service"
	"go_dreamfactory/pb"

	"fyne.io/fyne/v2"
	"github.com/sirupsen/logrus"
)

type TrollGetlistView struct {
	BaseformView
}

func (this *TrollGetlistView) CreateView(t *model.TestCase) fyne.CanvasObject {
	this.form.OnSubmit = func() {
		if err := service.GetPttService().SendToClient(
			t.MainType,
			t.SubType,
			&pb.TrollGetListReq{}); err != nil {
			logrus.Error(err)
		}
	}
	return this.form
}
